Edit Point Definition
curl --request PUT \
--url https://api.{tenant}.getomneo.com/api/v3/points/definitions/{definition} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"region_id": 123,
"currency": "<string>",
"description": "<string>",
"notes": "<string>",
"is_reassignable": true,
"issue_period": 123,
"issue_absolute_expiry": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/points/definitions/{definition}"
payload = {
"name": "<string>",
"region_id": 123,
"currency": "<string>",
"description": "<string>",
"notes": "<string>",
"is_reassignable": True,
"issue_period": 123,
"issue_absolute_expiry": "<string>",
"tags": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
region_id: 123,
currency: '<string>',
description: '<string>',
notes: '<string>',
is_reassignable: true,
issue_period: 123,
issue_absolute_expiry: '<string>',
tags: ['<string>']
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/points/definitions/{definition}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"name": "<string>",
"handle": "<string>",
"region_id": 123,
"region": {
"id": 123,
"name": "<string>",
"handle": "<string>"
},
"currency": "<string>",
"description": "<string>",
"notes": "<string>",
"is_reassignable": true,
"issue_period": 123,
"issue_period_type": "<string>",
"issue_absolute_expiry": "<string>",
"tags": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Point Definition
Edit Point Definition
A PUT to the /points/definitions/{definitionId} endpoint allows your application to edit a specific Points Definition record.
PUT
/
v3
/
points
/
definitions
/
{definition}
Edit Point Definition
Path Parameters
The definition ID
Body
application/json
Pattern:
^[A-Z]+$Available options:
hours, days, weeks, months, years, absolute_date, absolute_week, absolute_month Response
PointDefinition
Show child attributes
Show child attributes
⌘I